## org.biojava.bio.search
Interface SeqSimilaritySearchSubHit

All Known Implementing Classes:
  SimpleSeqSimilaritySearchSubHit

public interface SeqSimilaritySearchSubHit
extends java.lang.Cloneable

objects of this type represent one particular sub-hit (i.e. one concrete sequence stretch within a sequence and associated information) from a sequence similarity search hit.

Author:
  Gerald Loeffler for the IMP

Field Summary
`static java.lang.String` `QUERY_LABEL` this object is used as the label for the query sequence in the alignment of the query sequence with this sub-hit sequence

Method Summary
`java.lang.Object` `clone()`
`Alignment` `getAlignment()` return an alignment of (possibly part of) the query sequence against (possibly part of) this hit sequence.
`double` `getEValue()` return the E-value of this sub-hit.
`SeqSimilaritySearchHit` `getHit()` return the ssequence similarity search hit to which this sequence similarity search sub-hit belongs.
`double` `getPValue()` return the P-value of this sub-hit.
`double` `getScore()` return the score of this sub-hit in the units defined by the search algorithm.

Field Detail

### QUERY_LABEL

    public static final java.lang.String QUERY_LABEL

  this object is used as the label for the query sequence in the alignment of the query sequence with this sub-hit sequence

Method Detail

### getHit

    public SeqSimilaritySearchHit getHit()

  return the ssequence similarity search hit to which this sequence similarity search sub-hit belongs.
  Returns:
    the SeqSimilaritySearchHit object of which this object is a part. Never returns null.

### getScore

    public double getScore()

  return the score of this sub-hit in the units defined by the search algorithm.
  Returns:
    the score of this sub-hit. This is a mandatory piece of information and may hence not be NaN.

### getPValue

    public double getPValue()

  return the P-value of this sub-hit.
  Returns:
    the P-value of this sub-hit. This is an optional (but desired) piece of information and implementations of this interface may return NaN if a P-value is not available for this hit.

### getEValue

    public double getEValue()

  return the E-value of this sub-hit.
  Returns:
    the E-value of this sub-hit. This is an optional (but desired) piece of information and implementations of this interface may return NaN if an E-value is not available for this hit.

### getAlignment

    public Alignment getAlignment()

  return an alignment of (possibly part of) the query sequence against (possibly part of) this hit sequence. In this alignment, the query is identified by the label given by the static field QUERY_LABEL.
  Returns:
    the alignment of the query sequence against this hit sequence. May return null.

### clone

    public java.lang.Object clone()

  Overrides:
    clone in class java.lang.Object